# -*- coding: utf-8 -*-

from osv import osv


class apem_partner_address(osv.osv):
    _inherit = 'res.partner.address'
    
    
    def create(self, cr, uid, data, context=None):
        if not data.get('contact_id', False) and data.get('partner_id', False):
            cont_id = self.pool.get('res.partner.contact').create(cr, uid, {
                'last_name': data.get('name',''),
                'first_name': data.get('first_name',False),
                'titre': data.get('title',''),
                'mobile': data.get('mobile',''),
                'website': data.get('website',''),
                'email': data.get('email',''),
                'comment': data.get('comment','')
            }, context=context)
            data['contact_id'] = cont_id
        result = super(apem_partner_address, self).create(cr, uid, data, context=context)
        return result
    
apem_partner_address()