openerp.apem_forms_on_opportunities = function(openerp) {
	openerp.web_kanban.KanbanView = openerp.web_kanban.KanbanView.extend({
	    //action copy/pasted from the original one except that it displays a custom message when write fails
	    on_record_moved : function(record, old_group, old_index, new_group, new_index) {
	        var self = this;
	        $.fn.tipsy.clear();
	        $(old_group.$element).add(new_group.$element).find('.oe_kanban_aggregates, .oe_kanban_group_length').hide();
	        if (old_group === new_group) {
	            new_group.records.splice(old_index, 1);
	            new_group.records.splice(new_index, 0, record);
	            new_group.do_save_sequences();
	        } else {
	            old_group.records.splice(old_index, 1);
	            new_group.records.splice(new_index, 0, record);
	            record.group = new_group;
	            var data = {};
	            data[this.group_by] = new_group.value;
	            this.dataset.write(record.id, data, {}, function() {
	                record.do_reload();
	                new_group.do_save_sequences();
	            }).fail(function(error, evt) {
	                evt.preventDefault();
	                self.do_warn("Move cancelled", error.data.fault_code.replace("warning -- ",""));
	                self.do_reload(); // TODO: use draggable + sortable in order to cancel the dragging when the rcp fails
	            });
	        }
	    }
	});
};