# -*- coding: utf-8 -*-

from osv import osv,fields

class apem_partner_market(osv.osv):

    _name="res.partner.market"
    _description="Apem partner activity market"
    _columns={
              'name': fields.char('Name',size=32, required=True, translate=True),
              'shortName': fields.char('Short name',size=8),
              'parentMarket': fields.many2one('res.partner.market', "Parent market")
              }
    
    def name_get(self, cr, uid, ids, context=None):
        if not len(ids):
            return []
        reads = self.read(cr, uid, ids, ['name','parentMarket'], context=context)
        res = []
        for record in reads:
            name = record['name']
            if record['parentMarket']:
                name = record['parentMarket'][1]+' / '+name
            res.append((record['id'], name))
        return res

apem_partner_market()