# -*- coding: utf-8 -*-

from osv import osv,fields

class apem_product_families(osv.osv):

    _name="product.families"
    _description="Apem families"
    _columns={
              'name': fields.char('Name',size=32, required=True),
              'shortName': fields.char('Short name',size=8),
              }
    _sql_constraints =  [
                         ('name_uniq','unique(name)','This family already exists!')
                         ]

apem_product_families()