# -*- coding: utf-8 -*-

from osv import osv,fields

class apem_product_series(osv.osv):

    _name="product.series"
    _description="Apem series"
    _columns={
              'name': fields.char('Name',size=32, required=True),
              'shortName': fields.char('Short name',size=8),
              }    
    _sql_constraints =  [
                         ('name_uniq','unique(name)','This series already exists!')
                         ]

apem_product_series()