# -*- coding: utf-8 -*-

{
    "name" : "APEM forms on opportunities",
    "version" : "0.1",
    "author" : "APEM SAS",
    "category": 'Customer Relationship Management',
    "description": """
Creates a new task module adapted to APEM opportunity forms.
    """,
    'website': 'http://www.apem.fr',
    "depends" : ["sale", "sale_layout", "crm", "project", "apem_lead_extensions", "apem_sales_order_extensions", 'apem_product_extensions', 'apem_user_extensions'],
    'update_xml': ["security/ir.model.access.csv",
                   "security/apem_forms_on_opportunities_security.xml",
                   "data/project_data.xml",
                   "wizard/task_fill_time_spent_view.xml",
                   "view/apem_lead_extension_view.xml",
                   "view/apem_sales_order_view.xml",
                   "view/apem_task_extension_view.xml",
                   "view/apem_price_form_view.xml",
                   "sequence/price_form_sequence.xml",
                   "view/apem_cpi_form_view.xml",
                   "sequence/cpi_form_sequence.xml"],
                   #"view/apemDelayForm_view.xml",
                   #"view/apemSampleForm_view.xml"],
    'js': [
        'static/src/js/tools.js'
    ],
    'init_xml': [],
    'demo_xml': [],
    'installable': True,
    'auto_install': False
}
