# -*- coding: utf-8 -*-

from osv import osv, fields

class apem_form_SO(osv.osv):
    _inherit = "sale.order"
    
    _columns = {
                #forms
                'cpi_forms': fields.many2many('crm.form.cpi', 'res_so_cpi_rel', 'so_id', 'cpi_id', 'CPI forms',
                                                domain="[('opportunity_id', '=', src_opportunity_id)]"),
                'price_forms': fields.many2many('crm.form.price', 'res_so_price_rel', 'so_id', 'price_id', 'Price forms',
                                                domain="[('opportunity_id', '=', src_opportunity_id)]")
                }
    
apem_form_SO()