# -*- coding: utf-8 -*-

from osv import osv,fields

class apem_partner_activity(osv.osv):

    _name="crm.lead.wonlostreason"
    _description="Apem module listing reasons for winning/losing an opportunity"
    _columns={
              'name': fields.char('Reason',size=128, required=True),
              'reason_description': fields.text('Description')
              }
    _sql_constraints =  [
                         ('name_uniq','unique(name)','This reason already exists!')
                         ]

apem_partner_activity()