# -*- coding: utf-8 -*-

from osv import osv, fields

class apem_meetings(osv.osv):
    _inherit = "crm.meeting"
    
    def default_get(self, cr, uid, fields_list, context=None):
        '''
        Adds support for default values when scheduling a meeting  
        '''
        if context and context.get('default_partner_address_id',False):
            address = self.pool.get('res.partner.address').browse(cr,uid,context['default_partner_address_id'])
            context['default_partner_id'] = address.partner_id.id or False
            
        return super(apem_meetings, self).default_get(cr, uid, fields_list, context=context)
    
apem_meetings()