# -*- coding: utf-8 -*-

from osv import osv,fields

class apem_partner_activity(osv.osv):

    _name="res.partner.activity"
    _description="Apem partner activity"
    _columns={
              'name': fields.char('Name',size=32, required=True, translate=True),
              'shortName': fields.char('Short name',size=8),
              }
    _sql_constraints =  [
                         ('name_uniq','unique(name)','This source already exists!')
                         ]

apem_partner_activity()